| NFFT 3.5.0

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Public Member Functions | Data Fields
nfctl_plan Struct Reference

data structure for an NFCT (nonequispaced fast cosine transform) plan with long double precision More...

`#include <nfft3.h>`

## Public Member Functions
| FFTW_MANGLE_LONG_DOUBLE (plan) my_fftw_r2r_plan
| fftw_plan
| FFTW_MANGLE_LONG_DOUBLE (r2r_kind)*r2r_kind
| r2r transform type (DCT-I)

## Data Fields
NFFT_INT | N_total
| Total number of Fourier coefficients. More...
NFFT_INT | M_total
| Total number of samples. More...
long double * | f_hat
| Fourier coefficients. More...
long double * | f
| Samples. More...
void(* | mv_trafo )(void *)
| Transform. More...
void(* | mv_adjoint )(void *)
| Adjoint transform. More...
NFFT_INT | d
| dimension, rank
NFFT_INT * | N
| cut-off-frequencies (kernel)
NFFT_INT * | n
| length of DCT-I
NFFT_INT | n_total
| Combined total length of FFTW transforms. More...
long double * | sigma
| oversampling-factor
NFFT_INT | m
| cut-off parameter in time-domain
long double * | b
| shape parameters
NFFT_INT | K
| Number of equispaced samples of window function. More...
unsigned | flags
| flags for precomputation, malloc
unsigned | fftw_flags
| flags for the fftw
long double * | x
| nodes (in time/spatial domain)
double | MEASURE_TIME_t [3]
| measured time for each step
long double ** | c_phi_inv
| precomputed data, matrix D
long double * | psi
| precomputed data, matrix B
NFFT_INT | size_psi
| only for thin B
NFFT_INT * | psi_index_g
| only for thin B
NFFT_INT * | psi_index_f
| only for thin B
long double * | g
long double * | g_hat
long double * | g1
| input of fftw
long double * | g2
| output of fftw
long double * | spline_coeffs
| input for de Boor algorithm, if B_SPLINE or SINC_2m is defined

## Detailed Description

data structure for an NFCT (nonequispaced fast cosine transform) plan with long double precision

Definition at line 284 of file nfft3.h.

## Field Documentation

NFFT_INT nfctl_plan::N_total

Total number of Fourier coefficients.

Definition at line 284 of file nfft3.h.

NFFT_INT nfctl_plan::M_total

Total number of samples.

Definition at line 284 of file nfft3.h.

long double* nfctl_plan::f_hat

Fourier coefficients.

Definition at line 284 of file nfft3.h.

long double* nfctl_plan::f

Samples.

Definition at line 284 of file nfft3.h.

void(* nfctl_plan::mv_trafo) (void *)

Transform.

Definition at line 284 of file nfft3.h.

void(* nfctl_plan::mv_adjoint) (void *)

Adjoint transform.

Definition at line 284 of file nfft3.h.

NFFT_INT nfctl_plan::n_total

Combined total length of FFTW transforms.

Definition at line 284 of file nfft3.h.

NFFT_INT nfctl_plan::K

Number of equispaced samples of window function.

Used for flag PRE_LIN_PSI.

Definition at line 284 of file nfft3.h.

The documentation for this struct was generated from the following file:

- nfft3.h